db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kristian Waagan <Kristian.Waa...@Sun.COM>
Subject Re: [jira] Commented: (DERBY-1746) upgrade tests should start using 10.1.3 released builds
Date Mon, 28 Aug 2006 21:30:21 GMT
Myrna van Lunteren (JIRA) wrote:
>     [ http://issues.apache.org/jira/browse/DERBY-1746?page=comments#action_12431034 ]

>             
> Myrna van Lunteren commented on DERBY-1746:
> -------------------------------------------
> 
> I experimented and found the following:
> - the problem appears to be with 10.1.3.1 derby.jar. Using the other 10.1.3.1 jars don't
cause the same trouble.
> - comparing the 10.1.1.0 derby.jar and 10.1.3.1 derby.jar it seemed the main difference
was that the 10.1.3.1. does not have the directories in the jar.
> - When I unjarred 10.1.3.1 derby.jar with jar -tvf, and then jar-ed back up using jar
-xvf *, the resulting derby.jar could be used & the test did not give the sealing error.

Hi Myrna,

This is just a shot in the dark, I have not investigated on my own.
You say that you unjarred 10.1.3.1, then jar-ed the files back up. By 
looking at the jar command used, a manifest does not seem to be specified.
Could the reason why the re-packaged jar is working be because it simply 
isn't sealed, as I suppose the official 10.1.3.1 jars are?


-- 
Kristian

> 
> This is very strange, does this mean the 10.1.3.1 jars are bad? 
>  I welcome any suggestions on how to proceed.
> 
> 
>> upgrade tests should start using 10.1.3 released builds
>> -------------------------------------------------------
>>
>>                 Key: DERBY-1746
>>                 URL: http://issues.apache.org/jira/browse/DERBY-1746
>>             Project: Derby
>>          Issue Type: Test
>>          Components: Test
>>    Affects Versions: 10.2.1.0
>>            Reporter: Myrna van Lunteren
>>         Assigned To: Myrna van Lunteren
>>            Priority: Minor
>>             Fix For: 10.2.1.0
>>
>>         Attachments: DERBY-1746_102_20060823.diff, DERBY-1746_102_20060823.stat,
DERBY-1746_trunk_20060824.diff
>>
>>
>> The upgrade test' master is based on the 10.1 jars checked in to svn -  10.1.1.0
- (208786). 
>> However, we now have a newer released version of 10.1 - 10.1.3.  This would be the
obvious choice for someone running tests testing the beta jars.
>> If the jars are 10.1.3 then a diff will occur because of the fix for DERBY-655:
>> 703d702
>> < ,APP,DERBY655T2,C21_ID,,APP,DERBY655T1,C11_ID,1,3,0,F_12,xxxxGENERATED-IDxxxx,
7
>> 2168d2166
>> < ,APP,DERBY655T2,C21_ID,,APP,DERBY655T1,C11_ID,1,3,0,F_12,xxxxGENERATED-IDxxxx,
7
>> It would be nice if the final build for 10.2 would include an updgrade test master
created using 10.1.3, And same is true for the trunk.
> 


Mime
View raw message